PaulKim1003

RSLOGIX 5000 (V20.05.00 (CPR 9 SR 10) - Fata Error

22 posts in this topic

Hi,

I am trying to create a module (cognex-dm260) in rslogix.

I did install AOP and EDS files. 

But i am getting error messages.

I have attached them.

It is running on OS window 10 pro.

Does anyone know why I am getting the error messages?

Thanks !

 

 

error 1.PNG

error 2.PNG

Share this post


Link to post
Share on other sites

Hmmm....

So the Knowledgebase has a bunch of articles about that error happening upon other events (like going online, importing L5K, etc.) but not yours. I opened one of them and it gives a few solutions. They seem to refer to v20 a lot, so it may be a good idea to make sure you're running the latest minor revision of v20.

Error when going online (access level: TechConnect)
Solutions:
1: Delete Harmony files (access level: Everyone)
2a: Repair the installation (access level: TechConnect)
(looks like the "normal" way to repair an installation from Windows add/remove programs)
2b: Force software to run as administrator
2c: Repair installation of FT Services Platform
2d: Disable UAC (access level : Everyone)
2e: Check system tray for WEBROOT SecureAnywhere. If it's there, rt-click and shut it down. Then go to Control Panel and repair RSLogix 5000 v20
2f: CCleaner can cause it as well. Repair RSLogix install
3: If you're using a Logix Echo Controller, uninstall FT Logix Echo and FT Linx, reboot, and reinstall Logix Echo
4: Uninstall the problematic version of RSLogix/Studio 5000, reboot, reinstall

Error when going to Who Active (access level: TechConnect)
Upgrade to v20.05

There's another article that specifically refers to the error when opening a specific project file but was linked to as a general fix for other situations (access level: TechConnect)
Solutions:
1: Hold SHIFT and CTRL when starting RSLogix (this restores all settings to factory default)
2: Export ACD to L5K and then import it back into a new project
3: Check KB article linked in steps 2a-2f above

Lots of circular links where their articles refer to each other, so I may have some links crossed. Basically, I'd first upgrade to the latest minor rev of v20 before doing anything else. If that doesn't work, or if you're already there, try the repair installation, then Delete Harmony files. The rest of the "fixes" seem to be really long shots to me....

What PLC processor are you using? Can it be upgraded past v20? That may ultimately be the best option altogether if you can.

Share this post


Link to post
Share on other sites

Consider doing this on 32-bit windows.  Lots of older stuff just breaks on 64-bit.  (I can't get Studio 5000 v21 to install on 64-bit, for example.)

I keep a 32-bit Win7 VM just for these situations.

Share this post


Link to post
Share on other sites

Pturmel would be correct. Try just creating a new file of version 20 for a different controller and see if you get that error. I have a win 7 32 bit when creating a file in RSLogix 5000 selecting version 16 for any cpu controller gives me the same error and crashes my whole rslogix 5000 program. Come to find out it is a 32, 64 bit thing with the OS. 

Share this post


Link to post
Share on other sites

You can also try downgrading the firmware to version 19 and using that. That might help. Just don't use version 20. 

Share this post


Link to post
Share on other sites
18 hours ago, PaulKim1003 said:

Thank you @Joe E.

It is 1769-L32 CompactLogix 5332E Controller (revision 20.19).

 

You're already at the latest firmware version for the CPU. What minor version of RSLogix v20 are you running? That matters too. I'm running 20.04 but it's been a while since I needed that version. The latest is 20.05. If you're not sure, open the project and go to Help -> About RSLogix 5000 and it will tell you your version. I would also seriously consider @Otto Automation's suggestion of "down"-grading to v19. Version 20 has always been a....problem child.

Share this post


Link to post
Share on other sites

Posted (edited)

@Joe E.RSlogix 5000's version is 20.05.

If i downgrade my RSLOGIX5000 to version 19. Would it work with  1769-L32 CompactLogix 5332E Controller (revision 20.19) ?

or do i need to downgrade cpu firmware as well?

 

cpu.PNG

Edited by PaulKim1003

Share this post


Link to post
Share on other sites

The software version has to match the hardware version, so if you go to version 19 software you will need to go to version 19 for the hardware, note when you do the firmware change on the processor it will wipe out the existing program in the PLC.

Share this post


Link to post
Share on other sites

alan_505 is correct. Sorry I should have mentioned that. By looking at your screen shot, it does not look like version 19 is available for the cpu. I assumed you already had it in control flash. Do you have any other firmware revisions in control flash for that controller? 

Share this post


Link to post
Share on other sites

If you want to use Version 19 then you will need to download it from the Rockwell Website.

Share this post


Link to post
Share on other sites

When I go to the downloads page, it shows that firmware 19.015 works for the 1769-L32E, both series A and B. You would need that firmware and v19.01.01 of RSLogix. I'm not sure why your screenshot shows the red X there.

I created an empty project with the 1769-L32E at v20 and tried to change it to v19 but it wouldn't let me downgrade. I was able to create a new project at v19.01.00 (the version I have installed). You may have to do that and manually build the I/O Configuration and copy/paste or export/import the program.

To get the firmware, go to their download center:
https://compatibility.rockwellautomation.com/Pages/Home.aspx
Click "Downloads by Product"
Type in the model number in the "Search" window. Click on it, select your series (A or B) and click on version 19.015. Click the red "Downloads" button and it'll take you to a page where you can select files or choose firmware only. You'll have a "Downloads" cart icon at the top that you can click to start the download.

Share this post


Link to post
Share on other sites

Rockwell has been phasing out older versions of firmware for some reason. They have been doing it for a while now. If you can not get any version of 19 from Rockwells website, then version 17.012 that is in your control flash would be fine. You would just have to have version 17 of rslogix. Version 17 sometimes does not play well with win 7, but I think you said you were using win 10. Joe E...Do you know if the version 17.012 he already  has in control flash would work for that controller? I am not in a spot to look it up right now. 

Share this post


Link to post
Share on other sites

I assume that it should since it is already in there for that controller. 

Share this post


Link to post
Share on other sites

It looks like both 17.005 and 17.012 will work with Series A. Version 17.012 also works with Series B. That's just what it look like I can download from the website. I didn't try to actually download, but found them in the list.

Share this post


Link to post
Share on other sites

Thanks Joe E. He should be good and not have to download anything since he already has them in his control flash. 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now